Subject: Predicted, in The sacred Book Of revelation; obama's deadly Curse

From: "Survive End Days" <[email-masked]>
Date: Tue, 28 Jul 2015 19:35:54 -0700

Predicted, in The sacred Book Of revelation; obama's deadly Curse